### Function

# GLib set_application_name

since: 2.2

#### Declaration

    void
    g_set_application_name (
      const gchar* application_name
    )

#### Description

Sets a human-readable name for the application. This name should be localized if possible, and is intended for display to the user. Contrast with g_set_prgname(), which sets a non-localized name. `g_set_prgname()` will be called automatically by gtk_init(), but `g_set_application_name()` will not.

Note that for thread safety reasons, this function can only be called once.

The application name will be used in contexts such as error messages, or when displaying an application’s name in the task list.

Available since: 2.2

#### Parameters

`application_name`

  Type: `const gchar*`

  Localized name of the application.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.